Foreman - Bug #11015

PUT /api/v2/architectures/:id returns an incomplete set of attributes
07/05/2015 09:05 AM - Alon Goldboim

Status: Duplicate
Priority: Normal
Assignee:

Category: API
Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1234964 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1234964
Description of problem:
An architecture has at least the following attributes:

e id
* name
e organization{s,_ids}

When one updates an architecture, the following attributes are returned:

e created_at
¢ hostgroups_count
¢ hosts_count

e id

* name

¢ updated_at

The "organization" response is not mentioned in the response.

Version-Release number of selected component (if applicable):
Satellite 6.1.0. Foreman-debug is attached.

How reproducible:
100%

Steps to Reproduce:

1. Issue HTTP PUT request to https:/sat.example.com/api/v2/architectures/:id

2. Capture the response. Examine the JSON payload and discover that the "organization" attribute is not mentioned.
3.

Actual results:
See "Description of problem" section.

Expected results:
See "Description of problem" section.

Additional info:

Related issues:
Is duplicate of Foreman - Bug #10356: POST and PUT should use RABL templates ... Closed 05/04/2015

History

#1 - 07/06/2015 03:06 AM - Dominic Cleal
- Is duplicate of Bug #10356: POST and PUT should use RABL templates for the response. added
https://bugzilla.redhat.com/show_bug.cgi?id=1234964
https://sat.example.com/api/v2/architectures/:id

#2 - 07/06/2015 03:06 AM - Dominic Cleal
- Category set to API

- Status changed from New to Duplicate

#10356 would fix this consistently.
